# Method: networks.listPaths

Returns all the paths that are currently available. This method is idempotent and has no side effect.

### HTTP request

`GET https://middlemileoptimization.googleapis.com/v1/{parent=networks/*}:listPaths`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The name of the network for which paths must be sent. Format: "networks/{network}" |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of networks to return. The service may return fewer than this value. If unspecified, at most 50 networks will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000. |
| `pageToken` | `string` Optional. A page token, received from a previous `networks.list` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `networks.list` must match the call that provided the page token. |

### Request body

The request body must be empty.

### Response body

The response message for `networks.listPaths` method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "paths": [ { object (`https://developers.google.com/optimization/middlemileoptimization/reference/rest/v1/Path`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `paths[]` | ``object (`https://developers.google.com/optimization/middlemileoptimization/reference/rest/v1/Path`)`` The list of paths. |
| `nextPageToken` | `string` A token, which can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |